Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.query
Class QMException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.sun.mdm.index.master.EViewException
                  com.sun.mdm.index.master.ProcessingException
                      com.sun.mdm.index.query.QMException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  VOAException

public class QMException
extends ProcessingException

The QMException class represents an exception thrown when an error occurs while the Query Manager is executing a query or assembling the results of the query.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.lang.Exception
``

Constructor Summary
`QMException()` Creates a new instance of the QMException class without an error message.
`QMException(java.lang.String msg)` Creates a new instance of the QMException class with an error message.
`QMException(java.lang.String msg, java.lang.Throwable t)` Creates a new instance of the QMException class with an error message and a chain of errors.
`QMException(java.lang.Throwable t)` Creates a new instance of the QMException class without an error message but with a chain of errors.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QMException

    public QMException()

  Creates a new instance of the QMException class without an error message.

  Parameters:
    None.
  Throws:
    None.

### QMException

    public QMException(java.lang.String msg)

  Creates a new instance of the QMException class with an error message.

  Parameters:
    `msg` - The error message to display for the type of error that occurred.
  Throws:
    None.

### QMException

    public QMException(java.lang.String msg,
                       java.lang.Throwable t)

  Creates a new instance of the QMException class with an error message and a chain of errors.

  Parameters:
    `msg` - The error message to display for the type of error that occurred.
    `t` - The chain of errors that caused the exception.
  Throws:
    None.

### QMException

    public QMException(java.lang.Throwable t)

  Creates a new instance of the QMException class without an error message but with a chain of errors.

  Parameters:
    `t` - The chain of errors that caused the exception.
  Throws:
    None.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.